Bug 142127 - OOo doesn't report error from the printing subsystem
OOo doesn't report error from the printing subsystem
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-07 10:28 EST by Nils Philippsen
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 1.9.115-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-07 16:12:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 51673 None None None Never

  None (edit)
Description Nils Philippsen 2004-12-07 10:28:41 EST
Description of problem:

If e.g. the printing destination is currently not available (say cupsd crashed),
OOo doesn't report an error when the underlying lpr/lp clearly brings an error
message (can be seen when starting OOo from a terminal) and status (can bee seen
when manually running lpr/lp or stracing OOo).

Version-Release number of selected component (if applicable):

openoffice.org-1.1.2-11.5.fc3
cups-1.1.22-0.rc1.8

How reproducible:

Reproducible

Steps to Reproduce:
0. Take care that printing on the destination you want to try for testing
doesn't work, e.g. firewall off the printing host with "iptables -I INPUT 1 -d
<printhostip> -j REJECT"
1. print something with lpr/lp, e.g. "lpr -P<printhost> /etc/hosts", see error
message and status
2. print something with OOo to the same destination
  
Actual results:

It seems like the print job had been fulfilled.

Expected results:

It should have popped up an error dialog that printing didn't work (and possibly
necessary info to aid in debugging the problem).
Comment 1 Caolan McNamara 2005-07-07 08:05:13 EDT
Submitted a patch upstream as http://www.openoffice.org/issues/show_bug.cgi?id=51673
Comment 2 Caolan McNamara 2005-07-07 16:12:39 EDT
fixed in 1.9.115-1 rawhide

Note You need to log in before you can comment on or make changes to this bug.